Name:		gbrainy
Version:	1.00
Release:	2%{?dist}.1
Summary:	Gbrainy is a brain teaser game and trainer to keep your brain trained

Group:		Amusements/Games
License:	GPLv2
URL:		http://live.gnome.org/gbrainy
Source0:	http://www.softcatala.org/~jmas/%{name}/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	mono-devel intltool librsvg2-devel
BuildRequires:	gtk-sharp2-devel gnome-sharp-devel gtk-sharp2-devel
BuildRequires:  /usr/bin/desktop-file-install

# Mono only availible on these:
ExclusiveArch: %ix86 x86_64 ppc ia64 armv4l sparc alpha

%description
gbrainy is a brain teaser game and trainer to have
fun and to keep your brain trained.

It provides the following types of games:

* Logic puzzles. Games designed to challenge your
	reasoning and thinking skills.
* Mental calculation. Games based on arithmetical
	operations designed to prove your mental calculation skills.
* Memory trainers. Games designed to challenge your short term memory.

%prep
%setup -q
# To fix 460353 :
sed 's#share/games#share#' src/Defines.cs.in -i
sed 's#^images = $(datadir)/games/gbrainy$#images = $(datadir)/gbrainy#' data/Makefile.in -i

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
desktop-file-install					\
	--delete-original				\
	--vendor fedora					\
	--dir $RPM_BUILD_ROOT%{_datadir}/applications	\
	$RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

# To fix a rpmlint issue
chmod a-x $RPM_BUILD_ROOT%{_libdir}/%{name}/%{name}.exe.config

%find_lang %{name}

%clean
rm -rf "$RPM_BUILD_ROOT"

%post
touch --no-create %{_datadir}/icons/hicolor 2> /dev/null ||:
if [ -x  %{_bindir}/gtk-update-icon-cache ] ; then
	%{_bindir}/gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:
fi

%postun
touch --no-create %{_datadir}/icons/hicolor 2> /dev/null ||:
if [ -x  %{_bindir}/gtk-update-icon-cache ] ; then
	%{_bindir}/gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:
fi

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS NEWS README COPYING MAINTAINERS
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/*/apps/%{name}*
%{_mandir}/man6/%{name}.6.gz
%{_datadir}/pixmaps/%{name}*

%changelog
* Mon Nov 17 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp>
- Rebuild against newer gtk-sharp2 (bug 468055)

* Sat Sep 27 2008 Benoît Marcelin <sereinity@online.fr> 1.00-2
- Fix Build Requires

* Thu Sep 25 2008 Benoît Marcelin <sereinity@online.fr> 1.00-1
- Clean Build Requires
- Fix bug 460353
- Upate to 1.00
- 1 new logic puzzle, 1 new memory puzzle
- Better look and feel (new background)
- Switch font drawing to Pango
- Better I18N support
- Bug fixes 

* Tue Jun 03 2008 Benoît Marcelin <sereinity@online.fr> 0.70-1
- Update to 0.70
- 8 new puzzles
- License included in the about box
- The drawing area is now square and the application resizes better
- Better score feedback
- Player's history
- Preferences persistence
- Better game selection
- Bug fixes

* Mon Mar 24 2008 Benoît Marcelin <sereinity@online.fr> 0.61-5
- Do if on more than one line (in %%post and %%postun)
- Change ExcludeArch to AxclusiveArch
- Change licence to GPLv2+
- add directory owner %%{_libdir}/%%{name}

* Mon Mar 24 2008 Benoît Marcelin <sereinity@online.fr> 0.61-4
- Update %%post ans %%postun section

* Mon Mar 24 2008 Benoît Marcelin <sereinity@online.fr> 0.61-3
- Add BuildRequires : desktop-file-utils

* Mon Mar 24 2008 Benoît Marcelin <sereinity@online.fr> 0.61-2
- Exclude arch ppc64
- Remove --add-category X-Fedora from the desktop file
- Don't generate empty debuginfo
- Add docfile MAINTAINERS

* Mon Mar 24 2008 Benoît Marcelin <sereinity@online.fr> 0.61-1
- Update to 0.61
- add gtk-update-icon-cache into post and unpost section

* Sun Mar 09 2008 Benoît Marcelin <sereinity@online.fr> 0.60-1
- Initial Fedora build
